Summary:        Bash kernel for Jupyter
Name:           python-bash-kernel
Version:        0.9.3
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/takluyver/bash_kernel
Source0:        %{url}/archive/%{version}/bash_kernel-%{version}.tar.gz

Patch0001:      %{name}-python3.13.patch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildArch:      noarch

%description
This package contains a Jupyter kernel for bash.

%package -n python3-bash-kernel
Summary:        Bash kernel for Jupyter
Requires:       bash
Requires:       python-jupyter-filesystem

%description -n python3-bash-kernel
This package contains a Jupyter kernel for bash.

%prep
%autosetup -n bash_kernel-%{version} -p1

sed -i 's/from \.resources/from bash_kernel.resources/' bash_kernel/install.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
rst2html --no-datestamp README.rst README.html

%install
%pyproject_install
%pyproject_save_files bash_kernel
export PYTHONPATH=$PWD
cd bash_kernel
%{python3} install.py --prefix %{buildroot}%{_prefix}
cd -

%files -n python3-bash-kernel -f %{pyproject_files}
%license LICENSE
%doc README.html
%{_datadir}/jupyter/kernels/bash/

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.9.3-1
- initial build
